# Class LayerItem

游戏摄像机层数据

#### Hierarchy

- LayerItem

- Defined in assets/core/utils/LayerUtil.ts:10

#####
Index

### Constructors

constructor

### Properties

_name
_value

### Accessors

mask
name
value

## Constructors

### constructor

- new LayerItem(value: number, name: string): LayerItem

- #### Parameters

  - ##### value: number

  - ##### name: string

  #### Returns LayerItem

  - Defined in assets/core/utils/LayerUtil.ts:25

## Properties

### `Private` _name

_name: string

- Defined in assets/core/utils/LayerUtil.ts:16

### `Private` _value

_value: number

- Defined in assets/core/utils/LayerUtil.ts:11

## Accessors

### mask

- get mask(): number

- #### Returns number

  - Defined in assets/core/utils/LayerUtil.ts:21

### name

- get name(): string

- #### Returns string

  - Defined in assets/core/utils/LayerUtil.ts:17

### value

- get value(): number

- #### Returns number

  - Defined in assets/core/utils/LayerUtil.ts:12

Generated using TypeDoc